import project_urs, os
import sys

from anuga.shallow_water.data_manager import sww2dem
from os import sep

time_dir = '20070615_063022_run_final_4.9_exmouth_nbartzis' # HAT exmouth
#time_dir = '20070615_062730_run_final_0_exmouth_nbartzis' # MSL exmouth
#time_dir = '20070618_064014_run_final_4.9_onslow_nbartzis' # HAT onslow
#time_dir = '20070622_004008_run_final_0_onslow_nbartzis' # MSL onslow
#time_dir = '20070615_063137_run_final_4.9_dampier_nbartzis' # HAT dampier 
#time_dir = '20070621_002922_run_final_0_dampier_nbartzis' # MSL dampier 


cellsize = 25
timestep = None
directory = project_urs.output_dir
#name = directory + time_dir + sep + project.scenario_name
name = directory+time_dir+sep+project_urs.scenario_name

#is_parallel = True
is_parallel = False
if is_parallel == True: nodes = 4
print 'output dir:', name

var = [3]

for which_var in var:
    if which_var == 0:  # Stage
        outname = name + '_stage'
        quantityname = 'stage'

    if which_var == 1:  # Absolute Momentum
        outname = name + '_momentum_i1'
        quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  

    if which_var == 2:  # Depth
        outname = name + '_depth'
        quantityname = 'stage-elevation'  

    if which_var == 3:  # Speed
        outname = name + '_speed'
        quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6/(stage-elevation))'  #Speed

    if which_var == 4:  # Elevation
        outname = name + '_elevation'
        quantityname = 'elevation'  #Elevation

    if is_parallel == True:
    #    print 'is_parallel',is_parallel
        for i in range(0,nodes):
            namei = name + '_P%d_%d' %(i,nodes)
            outnamei = outname + '_P%d_%d' %(i,nodes)
            print 'start sww2dem for sww file %d' %(i)
            sww2dem(namei, basename_out = outnamei,
                        quantity = quantityname,
                        timestep = timestep,
                        cellsize = cellsize,      
                        easting_min = project_urs.e_min_area,
                        easting_max = project_urs.e_max_area,
                        northing_min = project_urs.n_min_area,
                        northing_max = project_urs.n_max_area,        
                        reduction = max, 
                        verbose = True,
                        format = 'asc')
    else:
        print 'start sww2dem'
        sww2dem(name, basename_out = outname,
                    quantity = quantityname,
                    timestep = timestep,
                    cellsize = cellsize,      
                    easting_min = project_urs.eastingmin,
                    easting_max = project_urs.eastingmax,
                    northing_min = project_urs.northingmin,
                    northing_max = project_urs.northingmax,        
                    reduction = max, 
                    verbose = True,
                    format = 'asc')

