""" Script for calculating maximum inundation at building locations

    Inputs:

    swwfile             - name of sww file
                        - assume that all conserved quantities have been stored
                    
    buildings_filename  - name of file containing building data, sourced
                          from NBED

    Output:
    
    - building_filename (.csv) augmented to include maximum depth, momentum and
      velocity and stored in same location as swwfile
      Name = augmented_buildings.csv
      
    """

from os import sep

from anuga.damage_modelling.inundation_damage import add_depth_and_momentum2csv, inundation_damage
import project_urs

# Inputs
#time_dir = '20070615_063022_run_final_4.9_exmouth_nbartzis' # HAT exmouth
#time_dir = '20070615_062730_run_final_0_exmouth_nbartzis' # MSL exmouth
#time_dir = '20070618_064014_run_final_4.9_onslow_nbartzis' # HAT onslow
#time_dir = '20070622_004008_run_final_0_onslow_nbartzis' # MSL onslow
time_dir = '20070615_063137_run_final_4.9_dampier_nbartzis' # HAT dampier 
#time_dir = '20070621_002922_run_final_0_dampier_nbartzis' # MSL dampier

file_loc = project_urs.output_dir + time_dir + sep 
swwfile = file_loc + project_urs.scenario_name #+ '.sww'
buildings_filename = project_urs.buildings_filename
buildings_filename_out = file_loc + project_urs.buildings_filename_out

#add_depth_and_momentum2csv(swwfile, buildings_filename, buildings_filename_out)
inundation_damage(swwfile, buildings_filename, buildings_filename_out)


print '\n Augmented building file written to %s \n' \
      %buildings_filename_out
